org.apache.ignite.internal.util.lang

## Interface GridIterable<T>

All Superinterfaces:
  GridIterator<T>, GridSerializableIterator<T>, Iterable<T>, Iterator<T>, Serializable

All Known Implementing Classes:
  GridIterableAdapter

    public interface GridIterable<T>
    extends GridIterator<T>

Defines "rich" iterable interface that is also acts as lambda function and iterator.

See Also:
  `GridIterator`

### Method Summary

Methods
`GridIterator<T>` `iterator()` Returns `GridIterator` which extends regular `Iterator` interface and adds methods that account for possible failures in cases when iterating over data that has been partially received over network.

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Method Detail

#### iterator

    GridIterator<T> iterator()

Returns `GridIterator` which extends regular `Iterator` interface and adds methods that account for possible failures in cases when iterating over data that has been partially received over network.

Specified by:
  `iterator` in interface `Iterable<T>`
Returns:
  Instance of new `GridIterator`.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015